%define name ftpsync
%define version 1.0.20180513
%define release 1
Summary: This is what ftpsync does.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: archvsync-20180513.tar.gz
License: GNU GPL version 2
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
Requires: rsync
AutoReqProv: no

%description
${REPO_DESCRIPTION}

%changelog
* Mon Dec 02 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.0.20180513-1.sme
- Initial code for SME Server

%prep

%setup -q -n archvsync-20180513

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}/examples
mkdir -p $RPM_BUILD_ROOT/usr/share/man/{man1,man5}
mandir=$RPM_BUILD_ROOT/usr/share/man
man1dir=${mandir}/man1
man5dir=${mandir}/man5
cp  doc/ftpsync.1.md ${man1dir}/ftpsync.1
cp  doc/ftpsync-cron.1.md ${man1dir}/ftpsync-cron.1
cp  doc/rsync-ssl-tunnel.1.md ${man1dir}/rsync-ssl-tunnel.1
cp  doc/runmirrors.1.md ${man1dir}/runmirrors.1
cp  doc/ftpsync.conf.5.md ${man5dir}/ftpsync.conf.5
cp  doc/runmirrors.conf.5.md ${man5dir}/runmirrors.conf.5
cp  doc/runmirrors.mirror.5.md ${man5dir}/runmirrors.mirror.5 
cp  -a etc/*  $RPM_BUILD_ROOT/usr/share/doc/%{name}/examples/
cp -a bin  $RPM_BUILD_ROOT/usr/

rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  |sed -e 's/\.1/.1.gz/'\
  |sed -e 's/\.5/.5.gz/'\
  > %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
